package cn.nhyw.gysgl.service;


import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.nhyw.gysgl.dao.NhywcpxhglDao;

@Service("nhywcpxhglService")
public class NhywcpxhglService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywcpxhglService.class);
	
	@Autowired
	private NhywcpxhglDao nhywcpxhglDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywcpxhgl(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywcpxhglDao.insert_Nhywcpxhgl(map);
	}
	

	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywcpxhgl(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywcpxhglDao.update_Nhywcpxhgl(map);
	}
	
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywcpxhgl(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywcpxhglDao.delete_Nhywcpxhgl(map);
	}

	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywcpxhgl(Map map) throws SQLException{
		return nhywcpxhglDao.batch_delete_Nhywcpxhgl(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywcpxhgl(Map map) throws SQLException{
		return nhywcpxhglDao.count_Nhywcpxhgl(map);
	}

	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywcpxhgl(Map map) throws SQLException{
		return nhywcpxhglDao.query_Nhywcpxhgl(map);
	}

	
	/**
	 * 查询一条
	 */
	public Map get_Nhywcpxhgl(Map map) throws SQLException{
		return nhywcpxhglDao.get_Nhywcpxhgl(map);
	}
	
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywcpxhgl(Map map) throws SQLException{
		return this.listNhywcpxhglByPage(map);
	}
	*/
	
	/**
	 * Nhywcpxhgl 分页
	 */
	public Map listNhywcpxhglByPage(Map map) throws SQLException {
		List<Map> list = nhywcpxhglDao.query_Nhywcpxhgl(map);
		Integer totalCount = nhywcpxhglDao.count_Nhywcpxhgl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
}
